package com.gradle

import org.gradle.api.logging.Logger;
import org.gradle.api.logging.Logging;

/**
 * Created by Glen on 2017/2/9.
 */

public class MyLogger {
    public static String tag = "app";
    private final static Logger logger = Logging.getLogger(MyLogger.class);

    public static void init(String tag) {
        MyLogger.tag = tag
    }

    public static void info(String msg) {
        logger.info(":" + tag + ":" + msg);
    }

    public static void lifecycle(String msg) {
        logger.lifecycle(":" + tag + ":" + msg);
    }

    public static void error(String msg) {
        logger.error(":" + tag + ":" + msg);
    }

}